<app-header></app-header>
<main class="w-full">
  <app-filter
    [selectedTypes]="propertyTypes"
    [subTypesSelected]="propertySubtypes"
    [queryParams]="queryParams"
    (returnLocation)="getCurrentSearch($event)"
  ></app-filter>
  <section
    [ngClass]="{
      'w-full lg:max-w-screen-xl 2xl:max-w-screen-2xl p-4 md:p-8 xl:px-4 m-auto grid grid-cols-1 lg:grid-cols-3 gap-y-5 lg:gap-10': true,
      'gap-x-5 lg:gap-x-10': results.length != 0
    }"
  >
    <ng-container *ngIf="results.length === 0; else properties">
      <ng-container *ngIf="noResults; else loadingResults">
        <h2
          class="text-xl font-bold text-gray-800 block col-span-1 lg:col-span3"
        >
          No se han encontrado resultados para tu búsqueda
        </h2>
        <div class="col-span-1 lg:col-span-3 py-8 border-t-2 border-gray-200">
          <h2
            class="font-odb text-gray-800 font-medium text-4xl lg:text-5xl block mb-2"
          >
            Tal vez puedan interesarte:
          </h2>
          <div
            class="col-span-12 lg:col-span-7 mt-8 mb-8 lg:mb-0 px-8 lg:px-4 order-1 lg:order-2 grid grid-cols-1 md:grid-cols-3 gap-5 grid-rows-auto md:grid-rows-3"
          >
            <a
              class="bg-odb-100 rounded-lg p-4 pt-20 flex flex-col justify-end cursor-pointer border-2 border-white hover:border-odb-400 bg-norepeat bg-cover bg-center"
              [style]="
                'background-image:linear-gradient(0deg, #002233bb, transparent 60%),url(' +
                search.bacgkround +
                ')'
              "
              *ngFor="let search of opPage.commonSearches"
              [href]="search.url"
            >
              <p class="drop-shadow-xl text-white">
                {{ search.typeOf }} en venta en
              </p>
              <h4 class="text-2xl font-bold text-white drop-shadow-xl">
                {{ search.location }}
              </h4>
            </a>
          </div>
        </div>
      </ng-container>
      <ng-template #loadingResults>
        <div class="h-8 w-10/12 col-span-3 loading-gray"></div>
        <div
          *ngFor="let item of [].constructor(30)"
          class="loading-gray py-64 col-span-1 grid grid-cols-2 rounded-lg w-full max-w-screen-md mx-auto"
        ></div>
      </ng-template>
    </ng-container>
    <ng-template #properties>
      <h2
        class="text-xl font-bold text-gray-800 block col-span-1 lg:col-span-3 -mb-5"
      >
        Mostrando <span class="font-semibold text-odb-400">{{ pageFrom }}</span
        >-<span class="font-semibold text-odb-400">{{ pageSize }}</span> de
        <span class="font-semibold text-odb-400">{{ totalProperties }}</span>
        {{ propertyTypes.length === 1 ? propertyTypes[0] : 'inmuebles' }}
        encontrados{{ currentSearch }}.
      </h2>
      <ng-container *ngFor="let property of results; let i = index">
        <div
          class="col-span-1 grid grid-cols-2 transition-all bg-white rounded-lg cursor-pointer border-2 border-odb-200 hover:border-odb-400 w-full max-w-screen-md mx-auto"
          [routerLink]="['/inmueble/', property.reference]"
        >
          <div class="col-span-2 rounded-t h-72 overflow-hidden w-full">
            <img
              [src]="property.propertyMultimedias[0].uri"
              class="h-full w-full object-cover rounded-t-md"
              [alt]="i"
            />
          </div>
          <div class="flex flex-col col-span-2 justify-between p-4">
            <div class="pb-4">
              <h2
                class="block text-4xl font-bold text-odb-800 block leading-6 mt-1 xl:mt-3"
                *ngIf="property.price > 0"
              >
                {{ property.price | currency: 'EUR':'symbol':'3.0' }} <br />
                <ng-container *ngIf="property.price2 > 0"
                  ><span class="text-xl line-through text-gray-400">{{
                    property.price2 | currency: 'EUR':'symbol':'3.0'
                  }}</span></ng-container
                >
              </h2>
              <h2
                class="text-4xl leading-8 font-bold text-odb-800 block mt-1 xl:mt-3 mb-4"
                *ngIf="property.price === 0 || property.price === null"
              >
                A consultar
              </h2>
              <h4
                class="text-gray-800 text-xl font-bold mt-3 leading-5 truncate"
              >
                {{ property.propertySubtype.name }},
                <br />
                <span class="font-medium text-gray-600 text-lg"
                  >{{ property.municipality.name }} ({{
                    property.municipality.province.name
                  }})</span
                >
              </h4>
              <p class="text-gray-600 truncate mt-1 mb-2">
                {{ property.description }}
              </p>
              <ul class="flex w-full font-bold">
                <li
                  [ngClass]="{
                    'text-sm': true,
                    'pr-2 mr-2 border-r border-gray-300':
                      property.bathroomsNumber || property.underRoofSqm
                  }"
                  *ngIf="property.roomsNumber"
                >
                  {{ property.roomsNumber }} habs.
                </li>
                <li
                  [ngClass]="{
                    'text-sm': true,
                    'pr-2 mr-2 border-r border-gray-300': property.underRoofSqm
                  }"
                  *ngIf="property.bathroomsNumber"
                >
                  {{ property.bathroomsNumber }}
                  {{ property.bathroomsNumber > 1 ? 'baños' : 'baño' }}.
                </li>
                <li
                  [ngClass]="{ 'text-sm': true }"
                  *ngIf="property.underRoofSqm"
                >
                  {{ property.underRoofSqm }} m².
                </li>
              </ul>
            </div>
            <ul class="flex w-fit mx-auto lg:ml-0">
              <li
                class="transition-all px-2 py-1 mr-2 cursor-pointer text-odb-800 hover:bg-odb-400 rounded hover:text-gray-200"
              >
                <a href=""><i class="text-2xl bi bi-envelope"></i></a>
              </li>
              <li
                class="transition-all px-2 py-1 mr-2 cursor-pointer text-odb-800 hover:bg-odb-400 rounded hover:text-gray-200"
              >
                <a href=""><i class="text-2xl bi bi-share"></i></a>
              </li>
            </ul>
          </div>
        </div>
      </ng-container>

      <div
        class="flex flex-col items-center col-span-1 lg:col-span-3"
        *ngIf="totalProperties != 0"
      >
        <div class="inline-flex mt-2 xs:mt-0">
          <button
            [ngClass]="{
              'transition-all py-2 mx-2 px-4 border-2 border-odb-400 text-odb-400 bg-transparent rounded hover:text-white hover:bg-odb-400': true,
              hidden: oportunitiesRequest.pageNumber == 1
            }"
            (click)="changePage(-1)"
          >
            Anterior
          </button>
          <button
            [ngClass]="{
              'transition-all py-2 px-4 mx-2 border-2 border-odb-400 text-odb-400 bg-transparent rounded hover:text-white hover:bg-odb-400': true,
              hidden: oportunitiesRequest.pageNumber === totalPages
            }"
            (click)="changePage(1)"
          >
            Siguiente
          </button>
        </div>
      </div>
    </ng-template>
  </section>
</main>
<app-footer></app-footer>
